[API Reference](../README.md) > [WrapperServiceInitializeOptions](../interfaces/WrapperServiceInitializeOptions.md)



# Interface: WrapperServiceInitializeOptions

## Hierarchy

**WrapperServiceInitializeOptions**

↳  [InitializeArcOptions](InitializeArcOptions.md)









## Properties
<a id="filter"></a>

### «Optional» filter

**●  filter**:  *[WrapperFilter](WrapperFilter.md)* 

*Defined in [wrapperService.ts:304](https://github.com/daostack/arc.js/blob/f779630e/lib/wrapperService.ts#L304)*



Option filter to only initialize the contracts whose name is set to true. Any that are omitted or set to false here will appear as `null` in WrapperService.wrappers and WrapperService.wrappersByType, and will not be available in WrapperService.wrappersByAddress. But their factories will still be available in WrapperService.factories.




___


